Package org.gradle.api.publish.maven

## Interface MavenPomLicense

-     public interface MavenPomLicense

  A license of a Maven publication.
  Since:
    4.8
  See Also:
    `MavenPom`, `MavenPomLicenseSpec`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Property<java.lang.String>` | `getComments()` | The comments of this license.
    `Property<java.lang.String>` | `getDistribution()` | The distribution of this license.
    `Property<java.lang.String>` | `getName()` | The name of this license.
    `Property<java.lang.String>` | `getUrl()` | The URL of this license.

- - ### Method Detail

    - #### getName

          Property<java.lang.String> getName()

      The name of this license.

    - #### getUrl

          Property<java.lang.String> getUrl()

      The URL of this license.

    - #### getDistribution

          Property<java.lang.String> getDistribution()

      The distribution of this license.

    - #### getComments

          Property<java.lang.String> getComments()

      The comments of this license.